FEGETENV(3)

NAME
fegetenv - get current floating-point environment

SYNOPSIS

#include <fenv.h>

int fegetenv(fenv_t *envp);

DESCRIPTION

This method attempts to return the floating-point environment in the area specified by envp.

RETURNS

If floating-point environment was successfully returned, then this method returns zero. Otherwise, a non-zero value is returned.

PORTABILITY

ANSI C requires fegetenv.

Not all Newlib targets have a working implementation. Refer to the file sys/fenv.h to see the status for your target.